package com.engine.organization.web;

import com.engine.common.util.ServiceUtil;
import com.engine.organization.util.response.ReturnResult;
import com.engine.organization.wrapper.CodeSettingWrapper;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/5/30
 * @Version V1.0
 **/
public class CodeSettingController {

    public CodeSettingWrapper getCodeSettingWrapper(User user) {
        return ServiceUtil.getService(CodeSettingWrapper.class,user);
    }


    /**
     * 是否有权限
     * @param request
     * @param response
     * @return
     */
    @GET
    @Path("/getHasRight")
    @Produces(MediaType.APPLICATION_JSON)
    public ReturnResult getHasRight(@Context HttpServletRequest request, @Context HttpServletResponse response,
                                    @QueryParam("serialtype") String serialtype) {
        try {
            User user = HrmUserVarify.getUser(request, response);
            return getCodeSettingWrapper(user).getHasRight(serialtype);
        } catch (Exception e) {
            return ReturnResult.exceptionHandle(e.getMessage());
        }
    }

}
